classification
Title: Misc/.gdbinit:pystack is too brittle
Type: Stage: resolved
Components: Demos and Tools Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, dmalcolm, hydroflask, jcea, skip.montanaro
Priority: normal Keywords: patch

Created on 2012-07-05 22:40 by hydroflask, last changed 2018-04-05 09:16 by skip.montanaro. This issue is now closed.

Files
File name Uploaded Description Edit
mypatch.diff hydroflask, 2012-07-05 22:40 review
Messages (3)
msg164701 - (view) Author: (hydroflask) Date: 2012-07-05 22:40
the `pystack`, `pystackv`, and `printframe` macros in the sample gdbinit file distributed with python are too fragile. this patch (which relies on gdb 7) is much more robust.
msg222690 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-10 19:24
I'm assuming that we need a patch review on this, sadly it means nothing to me.
msg314972 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2018-04-05 09:16
I would prefer if these macros remain standalone (and thus fragile). Despite Python support in gdb, not everyone (more than five years after the bug report) don't use a gdb which was built --with-python. There is better support for gdb integration elsewhere in the CPython code base: Tools/gdb/libpython.py.
History
Date User Action Args
2018-04-05 09:16:06skip.montanarosetstatus: open -> closed

nosy: + skip.montanaro
messages: + msg314972

resolution: rejected
stage: resolved
2014-07-10 19:24:07BreamoreBoysetnosy: + BreamoreBoy

messages: + msg222690
versions: + Python 3.5, - Python 3.2, Python 3.3
2012-07-06 13:16:00pitrousetnosy: + dmalcolm
2012-07-06 00:23:50jceasetnosy: + jcea
2012-07-05 22:44:04hydroflasksetversions: + Python 3.2, Python 3.3, Python 3.4
2012-07-05 22:43:30hydroflasksetcomponents: + Demos and Tools, - None
2012-07-05 22:40:29hydroflaskcreate